## ADDONIFY 
Welcome to Addonify, the ultimate add-on web registry and marketplace designed to take users' digital experiences to new heights!

## Getting started
Follow the steps below to run Addonify:

1. Clone this repository: `git clone https://gitlab.com/Krasen_Filipov_Telerik/team-12-final-project-addonis.git`
2. Navigate to the project directory: `cd Addons`
3. Install dependencies: `npm install`
4. Start the development server: `npm run dev`

## Key Features
- Search, Suggest, Buy, Download: Easily discover, recommend, purchase, and download a wide range of add-ons tailored to your needs.
- Rate and Review: Share your experiences and insights by rating and reviewing the add-ons you've used.
- User Profiles: Customize your profile, manage your uploads, and showcase your contributions to the add-on community.
- Verification: Become a trusted member of our community by verifying your identity with our secure document submission process.
- Admin Controls: Our dedicated admins ensure the quality of our platform by approving add-on uploads, managing user accounts, and overseeing verification requests.

## Public Part
The public part is visible to the anonymous users:
- Buy or download free add-ons.
- View add-on details. 
- Search and filter add-ons.
- Register and login. 

## Private Part
The private part is accessible to authenticated users:
- Login and logout.
- Edit your personal information. 
- Delete your account.
- Get verified by submitting your identity documents.
- Follow other users.
- Search and filter add-ons.
- View add-on details.
- Rate and review an add-on.
- Download/Buy add-ons.
- Share your own add-on ideas.

## Administrative Part
The Administrators have additional rights:
- Approve/Reject add-on upload requests.
- Approve/Reject user verification requests.
- Block users.
- Delete add-on reviews and suggestions. 

## Authors and acknowledgment
[Krasen Filipov](https://gitlab.com/Krasen_Filipov_Telerik)

[Danaela Zlateva](https://gitlab.com/danaellaz)

[Kaloyan Drinchev](https://gitlab.com/kaloyan.drinchev)